Subject: Re: git clone does not understand insteadOf URLs

From: John Keeping <[email-masked]>
Date: Sun, 26 May 2013 19:14:31 +0100

On Sun, May 26, 2013 at 08:09:56PM +0200, Gioele Barabucci wrote:
> Il 26/05/2013 20:00, Andreas Schwab ha scritto:
> >> Simple, I keep all my projects on the same server, so I would like to
> >> refer to that server + path using 'remote-repo'.
> >>
> >> "git+ssh://git.example.org//users/gioele/projects" insteadOf "remote-repo"
> >
> > You can use "remote-repo:" instead.
> 
> Do you mean I could use 
> "git+ssh://git.example.org//users/gioele/projects" insteadOf 
> "remote-repo:"? Yes, but now I have dozens of repositories already set 
> up in various workstations and I do not want to go and change all of them.
> 
> What really bugs me is the fact that `git clone` and `git remote add` 
> parse the same path in different ways. Git already has many 
> inconsistencies. This one can be easily ironed out.

In what way do you think that `git remote add` handles the path?

All `git remote add` does is add a new "remote.<name>.url" entry to the
configuration file with the value as given on the command line.  The
insteadOf mapping will only be applied when you try to fetch from/push
to the remote.